TikTok User Profile Info
This API provides retrieves real-time public profile information from TikTok accounts. It provides follower counts, bios, profile pictures, and engagement stats.
Endpoint
Section titled “Endpoint” POST
/api/v1/tiktok-info Request Parameters
Section titled “Request Parameters”The following parameters are accepted in the request body:
| Field | Type | Required | Description |
|---|---|---|---|
username | string | Yes | The TikTok username. |
Request Examples
Section titled “Request Examples”Choose your preferred method to interact with the TikTok Info API:
curl -X POST https://heavstal.com.ng/api/v1/tiktok-info \-H "Content-Type: application/json" \-H "x-api-key: <YOUR_API_KEY>" \-d '{"username": "khaby.lame"}'const response = await fetch('https://heavstal.com.ng/api/v1/tiktok-info', { method: 'POST', headers: { 'Content-Type': 'application/json', 'x-api-key': '<YOUR_API_KEY>' }, body: JSON.stringify({ username: 'khaby.lame' })});
const res = await response.json();console.log(res.data);import { search } from '@heavstal/api';
const profile = await search.tiktokInfo("khaby.lame");console.log(`Followers: ${profile.data.followers} | Bio: ${profile.data.description}`);import requests
url = "https://heavstal.com.ng/api/v1/tiktok-info"headers = { "Content-Type": "application/json", "x-api-key": "<YOUR_API_KEY>"}payload = { "username": "khaby.lame"}
response = requests.post(url, headers=headers, json=payload)print(response.json()["data"])Response Examples
Section titled “Response Examples”{ "status": "success", "code": 200, "creator": "HEAVSTAL TECH", "data": { "name": "Khaby Lame", "username": "khaby.lame", "followers": 161900000, "following": 78, "description": "If you want to laugh you are in the right place", "profile_picture": "https://p16-sign-va.tiktokcdn.com/..." }}{ "status": "error", "error": "TikTok profile not found or account is private."}